- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#body.FetchRemoteAgentsCompatibleWithJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#body.aspect_1)
- [RemoteAgentCompatibleWithJobs](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#RemoteAgentCompatibleWithJobs)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#RemoteAgentCompatibleWithJobs.SCHEMA_REPRESENTATION)
- [RemoteAgentAvailabilityJobStatus](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#RemoteAgentAvailabilityJobStatus)

**Full name**: projects.locations.instances.remoteAgents.fetchRemoteAgentsCompatibleWithJobs

Lists all RemoteAgents compatible with executing jobs for a specific integration. Use this method to find agents that are currently healthy, connected, and properly configured to take on automated tasks.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/remoteAgents:fetchRemoteAgentsCompatibleWithJobs`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `integration` | `string` Required. An integration name. Used to check whether the remote agent requires integration. |

### Request body

The request body must be empty.

### Response body

Response message for the remoteAgents.fetchRemoteAgentsCompatibleWithJobs method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "compatibleRemoteAgents": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#RemoteAgentCompatibleWithJobs`) } ] } ``` |

| Fields ||
|---|---|
| `compatibleRemoteAgents[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#RemoteAgentCompatibleWithJobs`)`` Output only. List of remote agents that are compatible with jobs. Compatible with jobs means that the agent is in a state to take a job. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.remoteAgents.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## RemoteAgentCompatibleWithJobs

Remote agents that are ready to take a job.

| JSON representation |
|---|
| ``` { "identifier": string, "displayName": string, "availabilityStatus": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#RemoteAgentAvailabilityJobStatus`) } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Output only. Unique GUID Identifier of the remote agent |
| `displayName` | `string` Output only. The display name of the remote agent. |
| `availabilityStatus` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/fetchRemoteAgentsCompatibleWithJobs#RemoteAgentAvailabilityJobStatus`)`` Output only. The remote agent's jobs availability status. |

## RemoteAgentAvailabilityJobStatus

The remote agent jobs availability status on specific integration

| Enums ||
|---|---|
| `REMOTE_AGENT_AVAILABILITY_JOB_STATUS_UNSPECIFIED` | Remote agent availability job status is unspecified. |
| `AVAILABLE` | The remote agent is available for the job. |
| `MISCONFIGURATION_ERROR` | The remote agent is not available for the job due to misconfiguration. |
| `CONNECTION_ERROR` | The remote agent is not available for the job due to connection error. |
| `UNSUPPORTED_VERSION` | The remote agent is not available for the job due to unsupported version. |